Rewards
Get transaction history
Get history of transactions for the site. Requires an organisational bearer token.
GET
/
rewards
/
{site_id}
/
transactions
Get Transaction History
curl --request GET \
--url https://api-sandbox.axle.energy/rewards/{site_id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.axle.energy/rewards/{site_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.axle.energy/rewards/{site_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactions": [
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_pence": 123,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"settlement_date": "2023-12-25",
"flex_kwh": 123
}
],
"is_below_withdrawal_minimum": false,
"days_until_minimum_wait_time_met": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Successful Response
Response model for transaction history.
ID of the site
List of transactions for the site
Show child attributes
Show child attributes
If the user is below the minimum withdrawal threshold (if configured)
How many days the user needs to wait to withdraw (if configured)
Was this page helpful?
⌘I
Get Transaction History

